> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Fast Fill

> This API accelerates the destination fill



## OpenAPI

````yaml post /fast-fill
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /fast-fill:
    post:
      parameters:
        - schema:
            type: string
          in: header
          name: x-api-key
          required: true
          description: >-
            Required API key for authentication. Contact the team for getting an
            API Key
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requestId:
                  type: string
                  description: The request ID of the request that needs to be fast filled
                solverInputCurrencyAmount:
                  type: string
                  description: The input currency amount that the solver receives on origin
                maxFillAmountUsd:
                  type: number
                  description: >-
                    Optional per-request USD limit. If the computed fill value
                    exceeds this amount, the request is rejected. Must be lower
                    than or equal to the app's available USDC balance.
              required:
                - requestId
        required: true
      responses:
        '200':
          description: >-
            Request was successful. It was either queued or found to be already
            executed.
          content:
            application/json:
              schema:
                description: >-
                  Request was successful. It was either queued or found to be
                  already executed.
                type: object
                properties:
                  message:
                    type: string
                    example: Request successfully queued for fast fill.
        '400':
          description: Bad Request - The request body contains invalid data.
          content:
            application/json:
              schema:
                description: Bad Request - The request body contains invalid data.
                type: object
                properties:
                  message:
                    type: string
                    example: Currency is required and could not be determined.
        '401':
          description: Unauthorized - Missing or invalid API key.
          content:
            application/json:
              schema:
                description: Unauthorized - Missing or invalid API key.
                type: object
                properties:
                  message:
                    type: string
                    example: 'Unauthorized: Check API Key'
        '403':
          description: Forbidden - No sponsoring wallet with app balance configured.
          content:
            application/json:
              schema:
                description: Forbidden - No sponsoring wallet with app balance configured.
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Forbidden: Fast fill requires a sponsoring wallet with app
                      balance.
        '404':
          description: The requested requestId could not be found.
          content:
            application/json:
              schema:
                description: The requested requestId could not be found.
                type: object
                properties:
                  message:
                    type: string
                    example: Request not found
        '409':
          description: Conflict - This request is already being processed.
          content:
            application/json:
              schema:
                description: Conflict - This request is already being processed.
                type: object
                properties:
                  message:
                    type: string
                    example: 'Conflict: This request is already being processed.'
        '500':
          description: Internal Server Error.
          content:
            application/json:
              schema:
                description: Internal Server Error.
                type: object
                properties:
                  message:
                    type: string
                    example: An internal server error occurred.

````